/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2011-09-07 14:51:28Z
 *****************************************************************************/

#ifndef __HMF2500_ATTRIBUTES_HEADER
#define __HMF2500_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable hmf2500_rngFrequency;
extern RsRangeTable hmf2500_rngPowerLevel;
extern RsRangeTable hmf2500_rngIntExt;
extern RsRangeTable hmf2500_rngPercent;
extern RsRangeTable hmf2500_rngFMDeviation;
extern RsRangeTable hmf2500_rngPMDeviation;
extern RsRangeTable hmf2500_rngOutputFunction;
extern RsRangeTable hmf2500_rngAmplitudeUnit;
extern RsRangeTable hmf2500_rngPowerLeveldBm;
extern RsRangeTable hmf2500_rngOutputLoad;
extern RsRangeTable hmf2500_rngPolarity;
extern RsRangeTable hmf2500_rngPowerLevelOffset;
extern RsRangeTable hmf2500_rngPeriod;
extern RsRangeTable hmf2500_rngSystemReference;
extern RsRangeTable hmf2500_rngStorePosition;
extern RsRangeTable hmf2500_rngModulationFunction;
extern RsRangeTable hmf2500_rngLinLog;
extern RsRangeTable hmf2500_rngSweepTime;
extern RsRangeTable hmf2500_rngBurstMode;
extern RsRangeTable hmf2500_rngCycles;
extern RsRangeTable hmf2500_rngBurstPeriod;
extern RsRangeTable hmf2500_rngArbMedium;
extern RsRangeTable hmf2500_rngArb;
extern RsRangeTable hmf2500_rngArbFunction;
extern RsRangeTable hmf2500_rngTablepulsewidth;
extern RsRangeTable hmf2500_rngSquareWidth;
extern RsRangeTable hmf2500_rngTableNew;
extern RsRangeTable hmf2500_rngEdgeTime;
extern RsRangeTable hmf2500_rngTriggerSlope;
extern RsRangeTable hmf2500_rngSweepMarkerStyle;
extern RsRangeTable hmf2500_rngTraceIntensity;
extern RsRangeTable hmf2500_rngDisplayGrid;
extern RsRangeTable hmf2500_rngLEDBrigthness;
extern RsRangeTable hmf2500_rngHardcopyFormat;
extern RsRangeTable hmf2500_rngTriggerSlopeOutput;
extern RsRangeTable hmf2500_rngBacklight;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_HMF2500_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_HMF2500_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_HMF2500_RS_ATTR_CACHE;
extern RsAttrProperties g_HMF2500_RS_ATTR_SIMULATE;
extern RsAttrProperties g_HMF2500_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_HMF2500_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPY;
extern RsAttrProperties g_HMF2500_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_HMF2500_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_HMF2500_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_HMF2500_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_HMF2500_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_HMF2500_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_HMF2500_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_HMF2500_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_HMF2500_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_HMF2500_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_HMF2500_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_HMF2500_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_HMF2500_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_HMF2500_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_HMF2500_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_HMF2500_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_HMF2500_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_HMF2500_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_HMF2500_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_HMF2500_ATTR_FREQUENCY;
extern RsAttrProperties g_HMF2500_ATTR_PERIOD;
extern RsAttrProperties g_HMF2500_ATTR_POWER_LEVEL;
extern RsAttrProperties g_HMF2500_ATTR_POWER_LEVEL_WITH_OFFSET;
extern RsAttrProperties g_HMF2500_ATTR_POWER_LEVEL_OFFSET_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_POWER_LEVEL_OFFSET;
extern RsAttrProperties g_HMF2500_ATTR_OUTPUT_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_OUTPUT_FUNCTION;
extern RsAttrProperties g_HMF2500_ATTR_AMPLITUDE_UNIT;
extern RsAttrProperties g_HMF2500_ATTR_OUTPUT_LOAD;
extern RsAttrProperties g_HMF2500_ATTR_OUTPUT_POLARITY;
extern RsAttrProperties g_HMF2500_ATTR_SQUARE_DUTY_CYCLE;
extern RsAttrProperties g_HMF2500_ATTR_SQUARE_WIDTH;
extern RsAttrProperties g_HMF2500_ATTR_RAMP_SYMMETRY;
extern RsAttrProperties g_HMF2500_ATTR_RAMP_EDGE_TIME;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_DUTY_CYCLE;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_WIDTH;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_EDGE_TIME;
extern RsAttrProperties g_HMF2500_ATTR_TRIGGER_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_TRIGGER_SLOPE;
extern RsAttrProperties g_HMF2500_ATTR_OUTPUT_TRIGGER_SLOPE;
extern RsAttrProperties g_HMF2500_ATTR_MODULATION_SHAPE;
extern RsAttrProperties g_HMF2500_ATTR_AM_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_AM_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_AM_DEPTH;
extern RsAttrProperties g_HMF2500_ATTR_FM_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_FM_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_FM_DEVIATION;
extern RsAttrProperties g_HMF2500_ATTR_PM_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_PM_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_PM_DEVIATION;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_MODULATION_DUTY_CYCLE;
extern RsAttrProperties g_HMF2500_ATTR_PULSE_INTERNAL_FREQUENCY;
extern RsAttrProperties g_HMF2500_ATTR_FSK_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_FSK_SOURCE;
extern RsAttrProperties g_HMF2500_ATTR_FSK_DUTY_CYCLE;
extern RsAttrProperties g_HMF2500_ATTR_FSK_FREQUENCY;
extern RsAttrProperties g_HMF2500_ATTR_FSK_HOP;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_FREQUENCY;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_SPACING;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_TIME;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_MARKER_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_MARKER_FREQUENCY;
extern RsAttrProperties g_HMF2500_ATTR_SWEEP_MARKER_STYLE;
extern RsAttrProperties g_HMF2500_ATTR_BURST_ENABLED;
extern RsAttrProperties g_HMF2500_ATTR_BURST_MODE;
extern RsAttrProperties g_HMF2500_ATTR_BURST_N_CYCLES;
extern RsAttrProperties g_HMF2500_ATTR_BURST_INTERNAL_PERIOD;
extern RsAttrProperties g_HMF2500_ATTR_BURST_PHASE;
extern RsAttrProperties g_HMF2500_ATTR_DISPLAY_TRACE_ENABLE;
extern RsAttrProperties g_HMF2500_ATTR_DISPLAY_TRACE_INTENSITY;
extern RsAttrProperties g_HMF2500_ATTR_DISPLAY_GRID;
extern RsAttrProperties g_HMF2500_ATTR_DISPLAY_LED_BRIGHTNESS;
extern RsAttrProperties g_HMF2500_ATTR_DISPLAY_BACKLIGHT;
extern RsAttrProperties g_HMF2500_ATTR_ARB_FUNCTION;
extern RsAttrProperties g_HMF2500_ATTR_DATA_SAVE;
extern RsAttrProperties g_HMF2500_ATTR_HARDCOPY_FORMAT;
extern RsAttrProperties g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_X;
extern RsAttrProperties g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_Y;
extern RsAttrProperties g_HMF2500_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_REFERENCE;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_SOUND_ERROR_BEEPER;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_SOUND_CONTROL_BEEPER;
extern RsAttrProperties g_HMF2500_ATTR_RESET;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_SERIAL_NUMBER;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_SOFTWARE_VERSION;
extern RsAttrProperties g_HMF2500_ATTR_SYSTEM_HARDWARE_NUMBER;
extern RsAttrProperties g_HMF2500_ATTR_INSTRUMENT_NAME;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap hmf2500_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr hmf2500_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __HMF2500_ATTRIBUTES_HEADER */
